package kz.cafe.admin.autoimport.model;

import java.util.*;

public class PCafe{

   public String name_;
   
   public String name_rus;
   public String name_eng;
   public String name_kaz;
   
   
   public List<PMeal> meals = new ArrayList<PMeal>();
   
   

   
   
   
   @Override
   public int hashCode(){
      final int prime = 31;
      int result = 1;
      result = prime * result + ((name_ == null) ? 0 : name_.hashCode());
      return result;
   }
   @Override
   public boolean equals(Object obj){
      if(this == obj)
         return true;
      if(obj == null)
         return false;
      if(getClass() != obj.getClass())
         return false;
      PCafe other = (PCafe) obj;
      if(name_ == null){
         if(other.name_ != null)
            return false;
      }
      else if(!name_.equals(other.name_))
         return false;
      return true;
   }
   
   
   @Override
   public String toString(){
      return "PCafe [name=" + name_ + ", meals=" + meals + "]";
   }
}
